List orders

Query Params
number | null
≥ 0

For use with paging. Number of records to skip when returning.

i.e., if there are 20 records and you want 5 at a time, your first skip would be 0, second would be 5, third would be 10, etc.

number | null
0 to 250

For use with paging. Total number of records to return. Default limit is 100 and max limit is 250

string
enum

Enables sorting of orders in the response. A - indicates descending order

string

Filter by a certain user UUID

string

Filter by a certain venue/store UUID

string
enum

Filter by order status

string
enum

Filter by order pick up type

Allowed:
string

Filter by orders created on or after this date

To filter for a specific date, use a combination of createdStart and createdEnd. For example, to query for only 1/1/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for createdStart and ending date for createdEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-05T23:59

string

Filter by orders created on or before this date

To filter for a specific date, use a combination of createdStart and createdEnd. For example, to query for only 1/1/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for createdStart and ending date for createdEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?createdStart=2023-01-01T00:00&createdEnd=2023-01-05T23:59

string

Filter by orders modified on or after this date

To filter for a specific date, use a combination of modifiedStart and modifiedEnd. For example, to query for only 1/1/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for modifiedStart and ending date for modifiedEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-05T23:59

string

Filter by orders modified on or before this date

To filter for a specific date, use a combination of modifiedStart and modifiedEnd. For example, to query for only 1/1/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-01T23:59.

To query for a range of dates, you would pass the starting date for modifiedStart and ending date for modifiedEnd. For example, to query for the range 1/1/2023-1/5/2023, you would pass ?modifiedStart=2023-01-01T00:00&modifiedEnd=2023-01-05T23:59

Headers
string
required

Your Dispense Organization API key

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json